View Issue Details

IDProjectCategoryView StatusLast Update
0000483luatextexlua bugpublic2013-12-20 14:06
ReporterpatrickAssigned Toluigi scarso 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSXOS Version10.6
Product Version0.63.0 
Target VersionFixed in Version0.78.0 
Summary0000483: Can't use non-ascii characters in function names
Description-------
#!/usr/bin/env texlua

function draußen( )
  print("outside")
end

draußen()
-------
breaks.

"test.lua:3: '(' expected near '?'"

Lua also chokes on this, but if I understand it right, it's supposed to work in LuaTeX/texlua.
TagsNo tags attached.

Activities

Hans Hagen

2013-12-04 10:59

manager   ~0001138

it's a flag / directive in the lua source code

Hans Hagen

2013-12-04 11:01

manager   ~0001139

we will probably enable this feature but be aware of the fact that your code won't work in stock lua unless you also enable it there

luigi scarso

2013-12-04 11:08

developer   ~0001140

Last edited: 2013-12-05 00:54

View 2 revisions

It should be fixed in the current experimental branch (2013/12/04) to be merged next week.

Issue History

Date Modified Username Field Change
2010-09-17 21:24 patrick New Issue
2010-11-29 17:15 Taco Status new => assigned
2010-11-29 17:15 Taco Assigned To => arthur
2010-11-29 17:15 Taco Assigned To arthur => Taco
2013-12-04 10:59 Hans Hagen Note Added: 0001138
2013-12-04 11:01 Hans Hagen Note Added: 0001139
2013-12-04 11:08 luigi scarso Note Added: 0001140
2013-12-05 00:54 luigi scarso Note Edited: 0001140 View Revisions
2013-12-20 14:06 Hans Hagen Status assigned => closed
2013-12-20 14:06 Hans Hagen Assigned To Taco => luigi scarso
2013-12-20 14:06 Hans Hagen Resolution open => fixed
2013-12-20 14:06 Hans Hagen Fixed in Version => 0.78.0